io.vertx.reactivex.ext.web.handler.graphql.dataloader

## Class VertxBatchLoader<K,V>

- java.lang.Object
- - io.vertx.reactivex.ext.web.handler.graphql.dataloader.VertxBatchLoader<K,V>

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

  Deprecated.

      @Deprecated
      public class VertxBatchLoader<K,V>
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A that works well with Vert.x callback and based APIs.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<VertxBatchLoader>` | `__TYPE_ARG` Deprecated.
    `io.vertx.lang.rx.TypeArg<K>` | `__typeArg_0` Deprecated.
    `io.vertx.lang.rx.TypeArg<V>` | `__typeArg_1` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertxBatchLoader(Object delegate, io.vertx.lang.rx.TypeArg<K> typeArg_0, io.vertx.lang.rx.TypeArg<V> typeArg_1)` Deprecated.
    `VertxBatchLoader(VertxBatchLoader delegate)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Deprecated.
    `VertxBatchLoader` | `getDelegate()` Deprecated.
    `int` | `hashCode()` Deprecated.
    `static <K,V> VertxBatchLoader<K,V>` | `newInstance(VertxBatchLoader arg)` Deprecated.
    `static <K,V> VertxBatchLoader<K,V>` | `newInstance(VertxBatchLoader arg, io.vertx.lang.rx.TypeArg<K> __typeArg_K, io.vertx.lang.rx.TypeArg<V> __typeArg_V)` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<VertxBatchLoader> __TYPE_ARG

      Deprecated.

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<K> __typeArg_0

      Deprecated.

    - #### __typeArg_1

          public final io.vertx.lang.rx.TypeArg<V> __typeArg_1

      Deprecated.

  - ### Constructor Detail

    - #### VertxBatchLoader

          public VertxBatchLoader(VertxBatchLoader delegate)

      Deprecated.

    - #### VertxBatchLoader

          public VertxBatchLoader(Object delegate,
                                  io.vertx.lang.rx.TypeArg<K> typeArg_0,
                                  io.vertx.lang.rx.TypeArg<V> typeArg_1)

      Deprecated.

  - ### Method Detail

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public VertxBatchLoader getDelegate()

      Deprecated.
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### newInstance

          public static <K,V> VertxBatchLoader<K,V> newInstance(VertxBatchLoader arg)

      Deprecated.

    - #### newInstance

          public static <K,V> VertxBatchLoader<K,V> newInstance(VertxBatchLoader arg,
                                                                io.vertx.lang.rx.TypeArg<K> __typeArg_K,
                                                                io.vertx.lang.rx.TypeArg<V> __typeArg_V)

      Deprecated.

Copyright © 2025 Eclipse. All rights reserved.